Subject: RE: [Enum] Opt-in principle for calling users and communications providers

From: "Stastny Richard" <[email-masked]>
Date: Wed, 4 Sep 2002 16:03:09 +0200

MM wrote:

> But why does it matter that they're different entities? My 
> ISP and I are two different entities and we manage pretty 
> well. It might have a few hickups in the beginning but it'll 
> work itself out...

I see e.g. two problems:

If for example a TSP decides to use ENUM for pointing to his SIP Gateway
for his subscribers,
e.g. to point to fixed line phones in his network.
He may nicely fill up ENUM domains for these numbers (he may even use a
wildcard) in any Tier 2
Nameserver (preferably his own), entering one NAPTR for each number (or
a one for a block) pointing to his gateway with a SIP URL to be used by
other operators.

He may also decide to query the ENUM database directly
from his TDM network via an IN-mediation device to get some routing
information (e.g. the CIC for ported numbers). In this case he would
enter Tel URIs (eventually in addition to the 
previously entered SIP URIs). 

Since he entering this information without asking the subscribers
(especially in the second
case, because this information is useless for a normal user querying
ENUM).

Now the end-user, who has the number assigned, decides to opt-in to ENUM
and selects another
Tier 2 Nameserver provider. Now the NAPTRs have to be transferred to the
new Tier 2 Nameserver
Provider, taking the operators NAPTRs over. Fine, can be done, but the
TSP now has to keep
track of all transferred NAPTRs and the Tier 2 Nameservers. If he wants
to change now the
gateway for a block of numbers, he has to change it in n Tier 2
Nameserver providers one by one

Furthermore, users querying ENUM see different SIP, h323 and Tel
records, some of them not 
useable by them. So we would also need new ENUM services, e.g.
E2U+foroperatoruseonly.

regards

Richard STASTNY
OeFEG/Telekom Austria
Box 147, A-1103 Vienna, Austria
tel:+43 664 420 4100
fax:+43 1 797 80 13
mailto:[email-masked] 

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

---

From: Michael Mealling <[email-masked]>
Date: Wed, 4 Sep 2002 10:22:17 -0400

On Wed, Sep 04, 2002 at 04:03:09PM +0200, Stastny Richard wrote:
> for his subscribers, e.g. to point to fixed line phones in his network.
> wildcard) in any Tier 2 Nameserver (preferably his own), entering one 
> NAPTR for each number (or a one for a block) pointing to his gateway with 
> a SIP URL to be used by other operators.

Sure... My ISP puts an MX record maintained by them in my zone for handling
my email. They're DNS management software doesn't let me edit that record...
 
> enter Tel URIs (eventually in addition to the previously entered SIP URIs). 

Sure... same situation as above...
 
> (especially in the second case, because this information is useless 
> for a normal user querying ENUM).
> 
> and selects another Tier 2 Nameserver provider. Now the NAPTRs have to 
> be transferred to the new Tier 2 Nameserver Provider, taking the operators 
> NAPTRs over. Fine, can be done, but the TSP now has to keep
> to change now the gateway for a block of numbers, he has to change it in 
> n Tier 2 Nameserver providers one by one

Ok, this is the part thats broken. The user doesn't get to select another
Tier 2 provider unless that user agrees to maintain _all_ of that data
themselves or to opt out of the original. I don't get to use my ISP's
email without using his nameservers. He won't let me use someone else's
DNS and then use him for email. If I don't like that I can go find another ISP.

I think we're trying to make to many things portable for some phantom
competition ghost that isn't going to manifest itself. You simply can't
engineer a solution here that makes everything maintainable by some
other party. The number belongs to the provider, if you don't like
their policies then don't spend your money there....

> useable by them. So we would also need new ENUM services, e.g.

That was my suggestion. enum-services that are 'infrastructure only'....

-MM

-- 
--------------------------------------------------------------------------------
Michael Mealling	|      Vote Libertarian!       | urn:pin:1
[email-masked]      |                              | http://www.neonym.net
--------------------------------------------------------------------------------
!! The Trailblazer spacecraft is going to the Moon! And for just $2500 a gram !!
!! you can send something along with it! Business cards, momentos, cremains,  !!|| anything! See http://www.transorbital.net for details!                     !!